com.io7m.jtensors.core.unparameterized.matrices

## Interface MatrixReadable3x3FType

- All Superinterfaces:
    MatrixReadableFType
  All Known Subinterfaces:
    Matrix3x3FType, PMatrix3x3FType<A,B>, PMatrixReadable3x3FType<A,B>
  All Known Implementing Classes:
    Matrix3x3F, PMatrix3x3F

      public interface MatrixReadable3x3FType
      extends MatrixReadableFType

  The type of 3x3 `float`-typed matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `r0c0()`
    `float` | `r0c1()`
    `float` | `r0c2()`
    `float` | `r1c0()`
    `float` | `r1c1()`
    `float` | `r1c2()`
    `float` | `r2c0()`
    `float` | `r2c1()`
    `float` | `r2c2()`
    `default float` | `rowColumn(int row, int column)`

- - ### Method Detail

    - #### r0c0

          float r0c0()

      Returns:
        The value at row 0 column 0

    - #### r0c1

          float r0c1()

      Returns:
        The value at row 0 column 1

    - #### r0c2

          float r0c2()

      Returns:
        The value at row 0 column 2

    - #### r1c0

          float r1c0()

      Returns:
        The value at row 1 column 0

    - #### r1c1

          float r1c1()

      Returns:
        The value at row 1 column 1

    - #### r1c2

          float r1c2()

      Returns:
        The value at row 1 column 2

    - #### r2c0

          float r2c0()

      Returns:
        The value at row 2 column 0

    - #### r2c1

          float r2c1()

      Returns:
        The value at row 2 column 1

    - #### r2c2

          float r2c2()

      Returns:
        The value at row 2 column 2

    - #### rowColumn

          default float rowColumn(int row,
                                  int column)

      Specified by:
        `rowColumn` in interface `MatrixReadableFType`
      Parameters:
        `row` - The row, starting at 0
        `column` - The column, starting at 0
      Returns:
        The value at row `row`, column `column`

Copyright © 2017 <code@io7m.com> http://io7m.com